com.pixelmed.dicom

## Class TimeAttribute

- java.lang.Object
- - com.pixelmed.dicom.Attribute
  - - com.pixelmed.dicom.StringAttribute
    - - com.pixelmed.dicom.TimeAttribute

    public class TimeAttribute
    extends StringAttribute

A concrete class specializing `Attribute` for Time (TM) attributes.

Though an instance of this class may be created using its constructors, there is also a factory class, `AttributeFactory`.

See Also:
  `Attribute`, `AttributeFactory`, `AttributeList`

### Field Summary

Fields
`protected static int` `MAX_LENGTH_SINGLE_VALUE`

### Fields inherited from class com.pixelmed.dicom.StringAttribute

`specificCharacterSet`

### Fields inherited from class com.pixelmed.dicom.Attribute

`valueLength, valueMultiplicity`

### Constructor Summary

Constructors
Constructor and Description
`TimeAttribute(AttributeTag t)` Construct an (empty) attribute.
`TimeAttribute(AttributeTag t, long vl, DicomInputStream i)` Read an attribute from an input stream.
`TimeAttribute(AttributeTag t, java.lang.Long vl, DicomInputStream i)` Read an attribute from an input stream.

### Method Summary

Methods
`protected boolean` `allowRepairOfIncorrectLength()`
`protected boolean` `allowRepairOfInvalidCharacterReplacement()`
`boolean` `areValuesWellFormed()`
`protected char` `getInvalidCharacterReplacement()`
`int` `getMaximumLengthOfSingleValue()`
`byte[]` `getVR()` Get the value representation of this attribute (TM).
`boolean` `isCharacterInValueValid(int c)`

### Methods inherited from class com.pixelmed.dicom.StringAttribute

`addValue, addValue, addValue, addValue, addValue, addValue, addValue, areCharactersInValuesValid, areLengthsOfValuesValid, flushCachedCopies, getByteValues, getDoubleValues, getFloatValues, getIntegerValues, getLongValues, getOriginalStringValues, getPadByte, getPaddedVL, getShortValues, getSpecificCharacterSet, getStringValues, isValid, removeValues, repairValues, setSpecificCharacterSet, toString, translateByteArrayToString, translateStringToByteArray, write`

### Methods inherited from class com.pixelmed.dicom.Attribute

`getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDoubleValues, getDoubleValues, getElement, getFloatValues, getFloatValues, getGroup, getIntegerValues, getIntegerValues, getLongValues, getLongValues, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getTag, getVL, getVM, getVRAsString, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValues, setValues, setValues, toString, writeBase`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAX_LENGTH_SINGLE_VALUE

    protected static final int MAX_LENGTH_SINGLE_VALUE

See Also:
  Constant Field Values

### Constructor Detail

#### TimeAttribute

    public TimeAttribute(AttributeTag t)

Construct an (empty) attribute.

Parameters:
  `t` - the tag of the attribute

#### TimeAttribute

    public TimeAttribute(AttributeTag t,
                 long vl,
                 DicomInputStream i)
                  throws java.io.IOException,
                         DicomException

Read an attribute from an input stream.

Parameters:
  `t` - the tag of the attribute
  `vl` - the value length of the attribute
  `i` - the input stream
Throws:
  `java.io.IOException`
  `DicomException`

#### TimeAttribute

    public TimeAttribute(AttributeTag t,
                 java.lang.Long vl,
                 DicomInputStream i)
                  throws java.io.IOException,
                         DicomException

Read an attribute from an input stream.

Parameters:
  `t` - the tag of the attribute
  `vl` - the value length of the attribute
  `i` - the input stream
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getMaximumLengthOfSingleValue

    public final int getMaximumLengthOfSingleValue()

Specified by:
  `getMaximumLengthOfSingleValue` in class `StringAttribute`

#### getVR

    public byte[] getVR()

Get the value representation of this attribute (TM).

Overrides:
  `getVR` in class `Attribute`
Returns:
  'T','M' in ASCII as a two byte array; see `ValueRepresentation`

#### allowRepairOfIncorrectLength

    protected final boolean allowRepairOfIncorrectLength()

Overrides:
  `allowRepairOfIncorrectLength` in class `StringAttribute`

#### allowRepairOfInvalidCharacterReplacement

    protected final boolean allowRepairOfInvalidCharacterReplacement()

Overrides:
  `allowRepairOfInvalidCharacterReplacement` in class `StringAttribute`

#### getInvalidCharacterReplacement

    protected char getInvalidCharacterReplacement()

Overrides:
  `getInvalidCharacterReplacement` in class `StringAttribute`

#### isCharacterInValueValid

    public final boolean isCharacterInValueValid(int c)
                                          throws DicomException

Overrides:
  `isCharacterInValueValid` in class `StringAttribute`
Throws:
  `DicomException`

#### areValuesWellFormed

    public boolean areValuesWellFormed()
                                throws DicomException

Overrides:
  `areValuesWellFormed` in class `StringAttribute`
Throws:
  `DicomException`